import { assertNever } from '@/utils/assertNever';
import { PinType } from '../PinsList.types';

export const getPinColor = (type: PinType): string => {
  switch (type) {
    case 'bioEntity':
      return 'fill-primary-500';
    case 'drugs':
      return 'fill-orange';
    case 'chemicals':
      return 'fill-purple';
    case 'mirna':
      return 'fill-primary-500';
    case 'none':
      return '';
    default:
      return assertNever(type);
  }
};
